\name{getGraphAttr}
\alias{getGraphAttr}
\alias{getGraphSize}
\title{A function to access a graph attribute}
\description{
  This function can be used to retrieve a particular attribute bound to
  the specified graph object.
}
\usage{
getGraphAttr(graph, attr)
getGraphSize(graph)
}
\arguments{
  \item{graph}{An object of class \code{Ragraph}}
  \item{attr}{The name of the attribute to be retrieved}
}
\details{
  \code{getGraphSize} is a simple wrapper around \code{getGraphAttr}
  that will retrieve the \code{size} attribute from the specified graph
  and then transform the resulting character string into a two element
  numerical vector representing the width and height of the graph.
}
  \value{
  A character string listing the value of the specified attribute.  If
  the attribute does not exist, an empty string will be returned.  Note
  that it is possible that an empty string is also assigned to a
  particular attribute, at this time it is not possible to discern the
  difference between an attribute with an empty string or a missing
  attribute.
}
\author{Jeff Gentry}
\seealso{\code{\link{GraphvizAttributes}}, \code{\link{Ragraph-class}}}
\examples{
  set.seed(123)
  V <- letters[1:10]
  M <- 1:4
  g1 <- randomGraph(V, M, .2)
  z <- agopen(g1,name="foo")
  getGraphAttr(z, "size")
  getGraphSize(z)
}
\keyword{graphs}
